# Update user profile data
**POST /_security/profile/{uid}/_data**
**All methods and paths for this operation:**
PUT
/_security/profile/{uid}/_data
POST
/_security/profile/{uid}/_data
Update specific data for the user profile that is associated with a unique ID.
NOTE: The user profile feature is designed only for use by Kibana and Elastic's Observability, Enterprise Search, and Elastic Security solutions.
Individual users and external applications should not call this API directly.
Elastic reserves the right to change or remove this feature in future releases without prior notice.
To use this API, you must have one of the following privileges:
* The `manage_user_profile` cluster privilege.
* The `update_profile_data` global privilege for the namespaces that are referenced in the request.
This API updates the `labels` and `data` fields of an existing user profile document with JSON objects.
New keys and their values are added to the profile document and conflicting keys are replaced by data that's included in the request.
For both labels and data, content is namespaced by the top-level fields.
The `update_profile_data` global privilege grants privileges for updating only the allowed namespaces.
## Required authorization
* Cluster privileges: `manage_user_profile`
## Servers
- http://api.example.com: http://api.example.com ()
## Authentication methods
- Api key auth
- Basic auth
- Bearer auth
## Parameters
### Path parameters
- **uid** (string)
A unique identifier for the user profile.
### Query parameters
- **if_seq_no** (number)
Only perform the operation if the document has this sequence number.
- **if_primary_term** (number)
Only perform the operation if the document has this primary term.
- **refresh** (string)
If 'true', Elasticsearch refreshes the affected shards to make this operation
visible to search.
If 'wait_for', it waits for a refresh to make this operation visible to search.
If 'false', nothing is done with refreshes.
### Body: application/json (object)
- **labels** (object)
Searchable data that you want to associate with the user profile.
This field supports a nested data structure.
Within the labels object, top-level keys cannot begin with an underscore (`_`) or contain a period (`.`).
- **data** (object)
Non-searchable data that you want to associate with the user profile.
This field supports a nested data structure.
Within the `data` object, top-level keys cannot begin with an underscore (`_`) or contain a period (`.`).
The data object is not searchable, but can be retrieved with the get user profile API.
## Responses
### 200
#### Body: application/json (object)
- **acknowledged** (boolean)
For a successful response, this value is always true. On failure, an exception is returned instead.
[Powered by Bump.sh](https://bump.sh)